Team Folder Rename
Changes an active team folder's name.
Permission : Team member file access.
**Required scope:** `team_data.content.write`
**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)
**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)
Authentication
AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`.
Obtain via the authorization code flow with team-scoped permissions.
Grants access to team-wide administrative operations.
You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).
Request
This endpoint expects an object.
name
New team folder name.
team_folder_id
The ID of the team folder.
Response headers
X-Dropbox-Request-Id
A unique identifier for the request, useful for debugging and support.
Response
Successful response
content_sync_settings
Sync settings applied to contents of this team folder.
name
The name of the team folder.
status
The status of the team folder.
sync_setting
The sync setting applied to this team folder.
team_folder_id
The ID of the team folder.
quota_limit
The quota limit in bytes for this team folder namespace tree.
Errors
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error